#include <bits/stdc++.h>
using namespace std;

struct Number{
    vector <int> digit;

    Number() : digit(1) {}
    Number(long long n) {
        while (n) {
            digit.push_back(n % 10);
            n /= 10;
        }
    }

    Number operator+(Number b) {
        int prenos = 0;
        vector <int> ans;

        for (int i = 0; i < max(digit.size(), b.digit.size()); i++) {
            int sum = prenos;
            if (i < digit.size()) sum += digit[i];
            if (i < b.digit.size()) sum += b.digit[i];

            ans.push_back(sum % 10);
            prenos = sum / 10;
        }

        if (prenos) ans.push_back(prenos);

        Number ans2;
        ans2.digit = ans;

        return ans2;
    }

    Number operator+=(Number b) {
        (*this) = (*this) + b;
        return *this;
    }

    Number operator/(int n) {
        reverse(digit.begin(), digit.end());
        vector <int> ans;
        int prenos = 0;

        for (int i = 0; i < digit.size(); i++) {
            int sum = digit[i] + prenos;
            ans.push_back(sum / n);
            prenos = 10 * (sum % n);
        }

        Number ans2;
        reverse(ans.begin(), ans.end());
        while (ans.size() > 1 && ans.back() == 0) ans.pop_back();
        if (ans.empty()) ans.push_back(0);
        ans2.digit = ans;

        reverse(digit.begin(), digit.end());
        return ans2;
    }

    Number operator/=(int n) {
        return (*this) = ((*this) / n);
    }
};

ostream& operator<<(ostream& os, Number num) {
    for (auto it = num.digit.rbegin(); it != num.digit.rend(); it++) {
        cout << *it;
    }

    return os;
}

istream& operator>>(istream& is, Number& num) {
    string s;
    cin >> s;

    num.digit.clear();

    while (s.size()) {
        num.digit.push_back(s.back() - '0');
        s.pop_back();
    }

    return is;
}

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int q;
    cin >> q;

    while (q--) {
        Number num;
        cin >> num;
        Number ans = Number();

        while (num.digit != vector <int> (1, 0)) {
            num /= 5;
            ans += num;
        }

        cout << ans << '\n';
    }

    return 0;

}
