#include <bits/stdc++.h>
using namespace std;

struct Number{
    vector <long long> digit;

    Number() : digit(1) {}
    Number(long long n) {
        while (n) {
            digit.push_back(n % 10);
            n /= 10;
        }

        if (digit.empty()) digit.push_back(0);
    }

    Number operator+(Number b) {
        long long prenos = 0;
        vector <long long> ans;

        for (long long i = 0; i < max(digit.size(), b.digit.size()); i++) {
            long long sum = prenos;
            if (i < digit.size()) sum += digit[i];
            if (i < b.digit.size()) sum += b.digit[i];
            if (sum < 0) ans.push_back(sum + 10);
            else ans.push_back(sum % 10);

            prenos = (sum < 0 ? -1 : sum / 10);
        }

        if (prenos) ans.push_back(prenos);

        Number ans2;
        ans2.digit = ans;

        return ans2;
    }

    Number operator+=(Number b) {
        (*this) = (*this) + b;
        return *this;
    }

    Number operator/(long long n) {
        reverse(digit.begin(), digit.end());
        vector <long long> ans;
        long long prenos = 0;

        for (long long i = 0; i < digit.size(); i++) {
            long long sum = digit[i] + prenos;
            ans.push_back(sum / n);
            prenos = 10 * (sum % n);
        }

        Number ans2;
        reverse(ans.begin(), ans.end());
        while (ans.size() > 1 && ans.back() == 0) ans.pop_back();
        if (ans.empty()) ans.push_back(0);
        ans2.digit = ans;

        reverse(digit.begin(), digit.end());
        return ans2;
    }

    Number operator/=(long long n) {
        return (*this) = ((*this) / n);
    }
};

ostream& operator<<(ostream& os, Number num) {
    for (auto it = num.digit.rbegin(); it != num.digit.rend(); it++) {
        cout << *it;
    }

    return os;
}

istream& operator>>(istream& is, Number& num) {
    string s;
    cin >> s;

    num.digit.clear();

    while (s.size()) {
        num.digit.push_back(s.back() - '0');
        s.pop_back();
    }

    return is;
}

const long long BASE = 1e17;
long long total_prenos = 0;
long long total_sum = 0;

vector <long long> operator/(vector <long long>& v, long long n) {
    vector <long long> ans;
    long long prenos = 0;
    total_sum = 0;
    for (long long i = 0; i < v.size(); i++) {
        long long sum = v[i] + (prenos * BASE);
        ans.push_back(sum / n);
        total_sum += ans.back();
        prenos = sum % n;
    }

    total_prenos += prenos;
    return ans;
}

vector <long long> unpack(vector <long long> v) {
    vector <long long> digit;

    for (long long x : v) {
        for (long long p = 1e16; p >= 1; p /= 10) {
            digit.push_back(x / p % 10);
        }
    }

    return digit;
}

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    long long q;
    cin >> q;

    while (q--) {
        string s;
        cin >> s;
        vector <long long> num;
        long long current_num = 0;

        for (long long i = 0; i < s.size(); i++) {
            current_num *= 10;
            current_num += s[i] - '0';

            if ((s.size() - i) % 17 == 1) {
                num.push_back(current_num);
                current_num = 0;
            }
        }
        total_sum = 1;
        total_prenos = 0;

        vector <long long> unpacked = unpack(num);
        reverse(unpacked.begin(), unpacked.end());

        Number n;
        n.digit = unpacked;
        reverse(unpacked.begin(), unpacked.end());

        while (total_sum != 0) {
            num = num / 5;
        }
        //cout << -total_prenos << endl;

        Number m(-total_prenos);
        cout << (((n + m)) / 4) << '\n';
    }

    return 0;

}
