#include <iostream>
#include <cmath>
#include <vector>
using namespace std;
const int mod = 1e9+7;
long long px[2000000];
long long get(long long i, long long gr) {
    if(i<=gr) return i;
    else return gr-(i-gr);
}
__int128 startgr(long long m) {
    return 1 + m*(m-1) - (m-1);
}
__int128 endgr(long long m) {
    return startgr(m+1)-1;
}
pair<long long, long long> findgr(long long i) { // {start, n}
    long long l = 1, r = sqrtl(i)+5, m;
    while(l<r) {
        m = (l+r)/2;
        __int128 start = startgr(m), end = endgr(m);
        //cout << start << endl;
        if(i>=start && i <= end) {
            return {start, m};
        }
        if(i<start) {
            r = m-1;
        }
        else l=m+1;
    }
    return {startgr(l), l};
}
long long idxInGr(long long start, long long i) {
    return i-start+1;
}
void test() {
    for(int i = 17; i <= 17; i++) {
        cerr << "i=" << i << " start=" << findgr(i).first << " n=" << findgr(i).second << endl;
    }
}
long long sum;
long long getS(long long k) {
    return k*(k+1);
}
void getSum(long long i, long long j) {
    for(long long k = i; k <= j; k++) {
        sum += getS(k) - k;
        sum %= mod;
    }
}
int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    //test();
    //findgr(1000000000000);
    vector<int> v;
    for(int gr = 1; v.size()<=1000000; gr++) {
        for(int i = 1; i <= gr; i++) {
            v.push_back(i);
        }
        for(int i = gr-1; i >= 1; i--) {
            v.push_back(i);
        }
    }
    for(int i = 0; i < v.size(); i++) {
        px[i] = px[i-1] + v[i];
    }
    int q; cin >> q;
    while(q--) {
        long long l,r; cin >> l >> r;
        if(r<=1000000) {
            cout << px[r-1]-px[l-2] << endl;
            continue;
        }
        if(l==r) {
            pair<long long, long long> groupL = findgr(l); // log?

            cout << get(idxInGr(groupL.first, l), groupL.second)%mod << endl;
        }
        else {
            pair<long long, long long> groupL = findgr(l), groupR = findgr(r); // log?
            long long idxL = idxInGr(groupL.first, l);
            long long idxR = idxInGr(groupR.first, r);
            sum = 0;
            if(groupL.first == groupR.first) {
                //...
                for(long long i = idxL; i <= idxR; i++) {
                    sum+=get(i, groupL.second);
                    sum %= mod;
                }
                cout << sum << endl;
                continue;
            }
            for(long long s = idxL; s <= 2*groupL.second - 1; s++) {
                sum += get(s, groupL.second);
                sum %= mod;
            }
            if(groupR.second - groupL.second > 1) {
                getSum(groupL.second+1, groupR.second-1);
            }
            for(long long s = 1; s <= idxR; s++) {
                sum += get(s, groupR.second);
                sum %= mod;
            }
            cout << sum << endl;
        }

    }
}

